package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 微信小程序订阅消息记录表 订阅消息类型枚举，
 * @Author LJH
 * @Version 1.0
 */
@Getter
public enum SubscribeMessageTypeEnum {

    /**
     * 预约服务付款通知提醒
     */
    APPOINT_ORDER_MESSAGE_PUSH("APPOINT_ORDER_MESSAGE_PUSH"),

    /**
     * 优惠券领取提醒
     */
    COUPON_RECEIVE_MESSAGE_PUSH("COUPON_RECEIVE_MESSAGE_PUSH"),

    /**
     * 商品订单支付成功提醒
     */
    GOODS_ORDER_MESSAGE_PUSH("GOODS_ORDER_MESSAGE_PUSH"),

    /**
     * 签到积分通知提醒
     */
    SIGN_MESSAGE_PUSH("SIGN_MESSAGE_PUSH"),
    ;

    final private String info;

    SubscribeMessageTypeEnum(String info) {
        this.info = info;
    }
}
